net.corda.node.services.statemachine

## Class ReceiveOnly<T extends SessionMessage>

- net.corda.node.services.statemachine.ReceiveOnly<T>

- All Implemented Interfaces:
    FlowIORequest, ReceiveRequest<T>, SessionedFlowIORequest, WaitingRequest

      public class ReceiveOnly<T extends SessionMessage>
      implements ReceiveRequest<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReceiveOnly(FlowSession session, java.lang.Class<T> receiveType, java.lang.Class<?> userReceiveType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowSession` | `component1()`
    `java.lang.Class<T>` | `component2()`
    `java.lang.Class<?>` | `component3()`
    `ReceiveOnly<T>` | `copy(FlowSession session, java.lang.Class<T> receiveType, java.lang.Class<?> userReceiveType)`
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.Class<T>` | `getReceiveType()`
    `FlowSession` | `getSession()`
    `StackSnapshot` | `getStackTraceInCaseOfProblems()`
    `java.lang.Class<?>` | `getUserReceiveType()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.node.services.statemachine.ReceiveRequest

      `getReceiveType, getUserReceiveType`

    - ### Methods inherited from interface net.corda.node.services.statemachine.SessionedFlowIORequest

      `getSession`

    - ### Methods inherited from interface net.corda.node.services.statemachine.FlowIORequest

      `getStackTraceInCaseOfProblems`

- - ### Constructor Detail

    - #### ReceiveOnly

          public ReceiveOnly(FlowSession session,
                             java.lang.Class<T> receiveType,
                             java.lang.Class<?> userReceiveType)

  - ### Method Detail

    - #### getStackTraceInCaseOfProblems

          public StackSnapshot getStackTraceInCaseOfProblems()

    - #### getSession

          public FlowSession getSession()

    - #### getReceiveType

          public java.lang.Class<T> getReceiveType()

    - #### getUserReceiveType

          public java.lang.Class<?> getUserReceiveType()

    - #### component1

          public FlowSession component1()

    - #### component2

          public java.lang.Class<T> component2()

    - #### component3

          public java.lang.Class<?> component3()

    - #### copy

          public ReceiveOnly<T> copy(FlowSession session,
                                     java.lang.Class<T> receiveType,
                                     java.lang.Class<?> userReceiveType)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)